/****************************************************************************/
/* GE70 ( 取込要求ﾃｰﾌﾞﾙ )                                                   */
/*                                                                          */
/* Created : 2017/07/18 08:41:11                                            */
/****************************************************************************/

CREATE TABLE GE70 (
   SYSTEM_ID        VARCHAR2 (   10 )           NOT NULL            /*  10 ｼｽﾃﾑID               */
 , RSRV_NO          NUMBER   (    3 )           NOT NULL            /*  20 予約番号             */
 , NAME_JA          VARCHAR2 (  200 )                               /*  30 名称                 */
 , EXECID           VARCHAR2 (   20 )           NOT NULL            /*  40 処理ID               */
 , FGYKAN           VARCHAR2 (    1 )           NOT NULL            /*  50 取込予約ﾌﾗｸﾞ         */
 , DIR_BASE         VARCHAR2 (  200 )                               /*  60 取込ﾍﾞｰｽﾌｫﾙﾀﾞ        */
 , DIR_SUB          VARCHAR2 (  200 )                               /*  70 取込ｻﾌﾞﾌｫﾙﾀﾞ         */
 , DIR_WORK         VARCHAR2 (  200 )                               /*  80 処理ﾌｫﾙﾀﾞ(WORK)      */
 , DIR_BKUP_OK      VARCHAR2 (  200 )                               /*  90 処理済ﾌｫﾙﾀﾞ(正常)    */
 , DIR_BKUP_NG      VARCHAR2 (  200 )                               /* 100 処理済ﾌｫﾙﾀﾞ(異常)    */
 , FILE_FILTER      VARCHAR2 ( 4000 )                               /* 110 検索条件             */
 , RELEASE_NOTES    VARCHAR2 (  120 )                               /* 120 ﾘﾘｰｽﾉｰﾄ              */
 , RDC_CODE         VARCHAR2 (   20 )                               /* 130 設変番号             */
 , UNIQ             NUMBER   (    9 )           NOT NULL            /* 800 ﾕﾆｰｸｷｰ               */
 , FGJ              VARCHAR2 (    1 )           NOT NULL            /* 810 状態ﾌﾗｸﾞ             */
 , DYSET            VARCHAR2 (   14 )                               /* 820 登録日時             */
 , PGSET            VARCHAR2 (   10 )                               /* 830 作成PG               */
 , PGPSET           VARCHAR2 (   10 )                               /* 840 作成親PG             */
 , USRSET           VARCHAR2 (   10 )                               /* 850 作成社員             */
 , DYUPD            VARCHAR2 (   14 )                               /* 860 更新日時             */
 , PGUPD            VARCHAR2 (   10 )                               /* 870 更新PG               */
 , PGPUPD           VARCHAR2 (   10 )                               /* 880 更新親PG             */
 , USRUPD           VARCHAR2 (   10 )                               /* 890 更新者               */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K );


CREATE SEQUENCE GE70S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GE70T00 
  BEFORE INSERT ON GE70
  FOR EACH ROW 
  BEGIN 
    SELECT GE70S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
